<?PHP /* /mod/mlo/index.php (c)2008, Andreas Forstinger, www.mobilemoodle.org */

/// This page lists all the instances of mlo in a particular course

    require_once('../../config.php');
    require_once('lib.php');

    $id = required_param('id', PARAM_INT);   // course id

    if (! $course = get_record('course', 'id', $id)) {
        error('Course ID is incorrect');
    }

    // add log message
    add_to_log($course->id, 'mlo', 'view all', "index.php?id=$course->id", '');


/// Get all required strings

    $strmlos = get_string('modulenameplural', 'mlo');
    $strmlo  = get_string('modulename', 'mlo');


/// Print the header

    if ($course->category) {
        $navigation = "<a href=\"../../course/view.php?id=$course->id\">$course->shortname</a> ->";
    }

    print_header("$course->shortname: $strmlos", "$course->fullname", "$navigation $strmlos", "", "", true, "", navmenu($course));

/// Get all the appropriate data

    if (! $mlos = get_all_instances_in_course('mlo', $course)) {
        notice('There are no MLOs', "../../course/view.php?id=$course->id");
        die;
    }

/// Print the list of instances (your module will probably extend this)

    $timenow = time();
    $strname  = get_string('name');
    $strweek  = get_string('week');
    $strtopic  = get_string('topic');
    $strversion = get_string('version','mlo');

    if ($course->format == 'weeks') {
        $table->head  = array ($strweek, $strname,$strversion);
        $table->align = array ('center', 'center', 'center');
    } else if ($course->format == "topics") {
        $table->head  = array ($strtopic, $strname,$strversion);
        $table->align = array ('center', 'center', 'center');
    } else {
        $table->head  = array ($strname,$strversion);
        $table->align = array ('center', 'center');
    }

    foreach ($mlos as $mlo) {
        if (!$mlo->visible) {
            //Show dimmed if the mod is hidden
            $link = "<a class=\"dimmed\" href=\"view.php?id=$mlo->coursemodule\">$mlo->name</a>";
        } else {
            //Show normal if the mod is visible
            $link = "<a href=\"view.php?id=$mlo->coursemodule\">$mlo->name</a>";
        }

        if ($course->format == 'weeks' or $course->format == 'topics') {
            $table->data[] = array ($mlo->section, $link, $mlo->version);
        } else {
            $table->data[] = array ($link, $mlo->version);
        }
    }

    echo '<br/>';

    print_table($table);

/// Finish the page

    print_footer($course);

?>