<?PHP  /* /mod/mlo/view.php (c)2008, Andreas Forstinger, www.mobilemoodle.org */
global $CFG, $USER;
/// This page prints a particular instance of mlo

    require_once('../../config.php');
    require_once('lib.php');

    $id = optional_param('id', PARAM_INT); // course module id
    $a = optional_param('m',PARAM_INT); // instance id

    if ($id) {
        if (! $cm = get_record('course_modules', 'id', $id)) {
            error('Course Module ID was incorrect');
        }

        if (! $course = get_record('course', 'id', $cm->course)) {
            error('Course is misconfigured');
        }

        if (! $mlo = get_record('mlo', 'id', $cm->instance)) {
            error('Course module is incorrect');
        }

    } else {
        if (! $mlo = get_record('mlo', 'id', $a)) {
            error('Course module is incorrect');
        }
        if (! $course = get_record('course', 'id', $mlo->course)) {
            error('Course is misconfigured');
        }
        if (! $cm = get_coursemodule_from_instance('mlo', $mlo->id, $course->id)) {
            error('Course Module ID was incorrect');
        }
    }

    // log in to course
    require_login($course->id);



/// Print the page header

    if ($course->category) {
        $navigation = "<a href=\"../../course/view.php?id=$course->id\">$course->shortname</a> ->";
    }

    $strmlos = get_string('modulenameplural', 'mlo');
    $strmlo  = get_string('modulename', 'mlo');

    print_header("$course->shortname: $mlo->name", "$course->fullname",
                 "$navigation <a href=index.php?id=$course->id>$strmlos</a> -> $mlo->name",
                  '', '', true, update_module_button($cm->id, $course->id, $strmlo),
                  navmenu($course, $cm));

/// Print the main part of the page

    /// role concept
    $context = get_context_instance(CONTEXT_COURSE, $course->id);

    // check if the current user is allowed to edit the MLO
    if(has_capability('moodle/course:manageactivities', $context)){

    // log action
    add_to_log($course->id, 'mlo', 'edit', "view.php?id=$cm->id", "$mlo->id");


        // retrieve category list
        $category = '';
        if($course->category!=0){
            $cat = get_record('course_categories','id',$course->category);
            if($cat != false){ // if a category exists
                $category = $cat->name;
                // recursively check for parent categories
                while ($cat->parent != 0) {
                    $cat = get_record('course_categories','id',$cat->parent);
                    $category = $cat->name . '|' . $category;
                    }
                    // add final separator
                    $category .= '|';
                }
        }
        // at last add course short name
        $category .= $course->shortname;

        // get language
        $lang = substr(current_language(),0,2);

        // increase version
        $version = $mlo->version + 1;

        // generate unique hash
        $pass = md5($mlo->id . $CFG->mlo_pass);

       /// show editor applet
        // bug: in mozilla family browsers this solution does not work on intranet!
        // see http://java.sun.com/j2se/1.5.0/docs/guide/plugin/developer_guide/using_tags.html

       echo '<div align="center">';
	   if(empty($CFG->mlo_use_jnlp_editor))
	   {	// use the applet
	   $codebase = (!empty($CFG->mlo_editor_applet_url)) ? $CFG->mlo_editor_applet_url : $CFG->wwwroot . '/mod/mlo/editor/';
	   
	   echo '<applet code="com.elibera.ccs.app.MLEeditorApplet" archive="'.$codebase.'mleEditor_app.jar,'.$codebase.'mleEditor.jar,'.$codebase.'mleEditor_sound.jar"' .
		'width="800" height="350" border="1" alt="MLO Editor">';
		echo '<PARAM NAME="contentid" VALUE="' . $mlo->id .'"/>';
        echo '<PARAM NAME="user" VALUE="' . $USER->username . '"/>';
        echo '<PARAM NAME="userid" VALUE="' .$USER->id . '"/>';
        echo '<PARAM NAME="pass" VALUE="' . $pass . '"/>';
        echo '<PARAM NAME="title" VALUE="' . $mlo->name . '"/>';
        echo '<PARAM NAME="desc" VALUE="' . $mlo->description . '"/>';
        echo '<PARAM NAME="lang" VALUE="' . $lang .'"/>';
        echo '<PARAM NAME="editorlang" VALUE="' . $lang . '"/>';
        echo '<PARAM NAME="version" VALUE="' . $version . '"/>';
        echo '<PARAM NAME="kName" VALUE="' . $category . '"/>';
        echo '<PARAM NAME="saveurl" VALUE="' . $CFG->wwwroot . '/mod/mlo/editor/editor_set.php"/>';
        echo '<PARAM NAME="openurl" VALUE="' . $CFG->wwwroot . '/mod/mlo/editor/editor_get.php"/>';
        echo '<PARAM NAME="ttsurl" VALUE="' . $CFG->mlo_tts_url . '"/>';
        echo '<PARAM NAME="metaMLEDetail" VALUE=""/>';
        echo '<PARAM NAME="metaMLERefresh" VALUE=""/>';
        echo '<PARAM NAME="metaMLEBewerten" VALUE=""/>';
        echo '<PARAM NAME="metaMLEUser" VALUE="contact.php&amp;id="/>';

        // print message if applets are not supported
        echo(get_string('applet_not_supported','mlo'));
        echo '<br/><a href="editorjnlp.php?id='.$id.'" target="_blank">'.get_string('open_with_jnlp','mlo').'</a>';
      echo '</applet>';
	   }
	   else { // use JNLP editor
	       echo '<a href="editorjnlp.php?id='.$id.'" target="_blank">'.get_string('open_with_jnlp','mlo').'</a><br/>';
		?>
<script language="JavaScript"> 
    /* <![CDATA[ */
var javawsInstalled = 0;  
var javaws142Installed=0;
var javaws150Installed=0;
isIE = "false"; 
if (navigator.mimeTypes && navigator.mimeTypes.length) { 
   x = navigator.mimeTypes['application/x-java-jnlp-file']; 
   if (x) { 
      javawsInstalled = 1; 
      javaws142Installed=1;
      javaws150Installed=1;
   } 
} 
else { 
   isIE = "true"; 
} 
    /* ]]> */
</script> 
<script language="VBScript">
    /* <![CDATA[ */
    on error resume next
    If isIE = "true" Then
      If Not(IsObject(CreateObject("JavaWebStart.isInstalled"))) Then
         javawsInstalled = 0
      Else
         javawsInstalled = 1
      End If
      If Not(IsObject(CreateObject("JavaWebStart.isInstalled.1.4.2.0"))) Then
         javaws142Installed = 0
      Else
         javaws142Installed = 1
      End If 
      If Not(IsObject(CreateObject("JavaWebStart.isInstalled.1.5.0.0"))) Then
         javaws150Installed = 0
      Else
         javaws150Installed = 1
      End If  
    End If
    /* ]]> */
    </script>
<script language="JavaScript">
    /* <![CDATA[ */
    javawsInstalled=false;
if (!javawsInstalled) {
    document.write("<br/><?=get_string('java_not_installed','mlo')?><br/>");
    document.write("<a target=_blank href=http://java.sun.com/PluginBrowserCheck?pass=<?=urlencode($CFG->pagepath."?id=".$id)?>&fail=http://java.com/de/download/index.jsp><?=get_string('link_install_java','mlo')?></a><br/><hr/> ");
}
    /* ]]> */
</script>
<?php
	   }
      echo '</div>';
    }
    else{	// if the current user is not allowed to edit, just show info about the object

        // log action
        add_to_log($course->id, 'mlo', 'edit', "view.php?id=$cm->id", "$mlo->id");

        echo('<h2>' . $mlo->name . '</h2><br/>');
        echo('<h2>');
        echo(print_string('description','mlo'));
        echo('</h2><br />');
        echo('<p>' . $mlo->description . '</p>');
        echo('<h3>');
        echo(print_string('view_momo','mlo'));
        echo('</h3><br />');
   }

/// Finish the page
    print_footer($course);

?>