<?php
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG, $COURSE, $USER;

// check if mobile community is enabled and correctly configured
if (empty($CFG->momo_community_enabled) || empty($CFG->momo_community_course)){
    $supported = false;
}
else{
    $supported = true;

/// change new in moodle 1.8:
//  we no longer auto enroll users; this has to be handled via a meta course or manually

// at this point user is enrolled, so authenticate
momo_login_to_course($CFG->momo_community_course);

/// get supported activities
$links = momo_get_activity_links($CFG->momo_community_course);

// add log entry (needed for statistics)
add_to_log($COURSE->id, 'course', 'view', "view.php?id=$COURSE->id", "$COURSE->id");
}

?>
<pagesuite titel="<?php momo_print_string('hd_mobile_community')?>" storeable="false" bookmarkable="true" back="<?php echo(momo_get_back_url($COURSE->id))?>">
<page>
<?php momo_print_header(momo_get_string('hd_mobile_community'), 'community') ?>
<?php
    if(!$supported){ ?>
<?php momo_print_string('msg_community_not_supported')?><br/>
<?php }
    else{
   if(count($links) < 1){ // no (supported) activities in this course
        momo_print_notice(momo_get_string('msg_course_no_activities'));
   }
   else{ // print the links
    // counter for paging
    $wrap = $CFG->momo_wrap_limit;
    $count = 1;
    foreach($links as $link){
        if($count > $wrap){ // wrap content
            $count = 1;
            momo_print_paging();
        }
        // print the link
        echo($link);
        // increment counter
        $count++;
    }
   }
  }
?>
</page>
</pagesuite>